#prof {
  background-color: var(--background-tertinary);
  padding-bottom: 80px;
  min-height: calc(100vh - 80px);
}

.floating-wrapper {
  display: block;
  margin: 80px auto;
  max-width: 340px;
}

.floating-inner {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.floating-circle {
  width: 140px;
  height: 140px;
  border-radius: 50%;
  overflow: hidden;
  position: relative;
  border: 8px solid rgba(255, 255, 255, 0.3);
  box-shadow: var(--box-shadow);
  animation: float 6s ease-in-out infinite;
  background: rgba(255, 255, 255, 0.03);
  backdrop-filter: blur(8px);
}

.floating-circle:nth-child(2) {
  animation-delay: 1.5s;
}

.floating-circle:nth-child(3) {
  margin-top: -80px;
  animation-delay: 2.5s;
}

.floating-circle img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

@keyframes float {
  0% {
    transform: translateY(0px) scale(1);
  }

  50% {
    transform: translateY(-16px) scale(1.02);
  }

  100% {
    transform: translateY(0px) scale(1);
  }
}

.prof-text {
  margin-top: 28px;
  font-size: 20px;

  p {
    width: 100%;
    text-align: justify;
    margin-bottom: 24px;
    line-height: 30px;
  }
}

@media (min-width: 768px) {
  .floating-wrapper {
    margin: -40px auto 48px;
    max-width: 480px;
  }

  .floating-inner {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  .floating-circle {
    width: 200px;
    height: 200px;
  }

  .prof-text {
    p {
      max-width: 32vw;
    }
  }

  .prof-cta {
    margin-top: 80px;
    margin-bottom: 80px;
    margin-bottom: 0;
  }
}
